---
title: XRInputSourcesChangeEventInit
slug: Web/API/XRInputSourcesChangeEventInit
tags:
  - API
  - AR
  - Dictionary
  - Input Sources
  - Inputs
  - Mixed
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRInputSource
  - XRInputSourcesChangeEventInit
  - augmented
---
<p>{{APIRef("WebXR Device API")}} {{SecureContext_Header}}</p>

<p>The <code><strong>XRInputSourcesChangeEventInit</strong></code> dictionary is used to provide options to the {{domxref("XRInputSourcesChangeEvent.XRInputSourcesChangeEvent", "XRInputSourcesChangeEvent()")}} constructor in order to set the initial state of the new {{domxref("XRInputSourcesChangeEvent")}} object.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("XRInputSourcesChangeEventInit.added", "added")}} {{ReadOnlyInline}}</dt>
 <dd>An array of zero or more {{domxref("XRInputSource")}} objects, each representing one input device which is newly available to use.</dd>
 <dt>{{domxref("XRInputSourcesChangeEventInit.removed", "removed")}} {{ReadOnlyInline}}</dt>
 <dd>An array of zero or more {{domxref("XRInputSource")}} objects representing the input devices which are no longer available.</dd>
 <dt>{{domxref("XRInputSourcesChangeEventInit.session", "session")}} {{ReadOnlyInline}}</dt>
 <dd>The {{domxref("XRSession")}} to which the event applies.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>&lt;tbd&gt;</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dictdef-xrinputsourceschangeeventinit","XRInputSourcesChangeEventInit")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRInputSourcesChangeEventInit")}}</div>
